{
  description = "Utilities for showing some common ANSI escape codes";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs , flake-utils}:
    flake-utils.lib.eachDefaultSystem (sys:
      let pkgs = nixpkgs.legacyPackages.${sys};
          python = pkgs.python310;
      in {
        packages.ansicols = pkgs.writeScriptBin "ansicols" "${python}/bin/python ${./ansicols.py}";
        packages.ansimove = pkgs.writeScriptBin "ansimove" "${python}/bin/python ${./ansimove.py}";
      }
    );
}
